GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

GameSalad Not Support on Mac OSX 10.6.8?

ArmorBearerNehemiahArmorBearerNehemiah Posts: 1Member
edited August 2012 in Tech Support
I can not install GameSalad on my iMac running OSX 10.6.8. The previous version 0.9 worked fine. Where can I find the old version?

Comments

This discussion has been closed.